Subject: RE: bug#6316: 24.0.50; unexpected region highlighting

From: Drew Adams <[email-masked]>
Date: Wed, 2 Jul 2014 06:29:19 -0700 (PDT)

> if you mark and highlight a region in a
> buffer and then call e.g. `C-h f' or `C-h v', when the *Help* buffer
> opens this unhighlights the region in the other buffer, although the
> latter remains the current buffer.  Is this supposed to happen, and if
> so, why?  (If it's not supposed to happen, I'll open a new bug.)

`highlight-nonselected-windows' = t controls whether the region remains
highlighted in nonselected windows.

But after a command the region is deactivated, so depending on your
recipe you will not notice the effect of the variable.  IOW, in your
recipe, your command `C-h v' deactivated the region in the original
buffer.

To see the effect of the variable: C-SPC M-f C-x C-o C-SPC M-f.